function onBegin()
	disableMovement()
	disableRetry()
	say("tirednwiredMPA01A")
	walkTo(112)
	say("tirednwiredMPA01B")
	walkTo(168)
	say("tirednwiredMPA01C")
	walkTo(160)
	say("tirednwiredMPA01D")
	enableMovement()
	enableRetry()
end